Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel.exps
Interface Expression

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  Exp

All Known Implementing Classes:
  AndExpression, AndExpression, BindKeyVariableExpression, BindValueVariableExpression, BindVariableAndExpression, BindVariableAndExpression, BindVariableExpression, BindVariableExpression, CompareEqualExpression, CompareExpression, CompareExpression, ConstInstanceofExpression, ContainsExpression, ContainsExpression, ContainsKeyExpression, ContainsKeyExpression, ContainsValueExpression, EmptyExpression, EndsWithExpression, EndsWithExpression, EqualExpression, EqualExpression, EqualTypeExpression, Exp, Extension, GreaterThanEqualExpression, GreaterThanExpression, InExpression, InKeyExpression, InstanceofExpression, InstanceofExpression, InSubQExpression, InValueExpression, IsEmptyExpression, IsEmptyExpression, IsNotEmptyExpression, LessThanEqualExpression, LessThanExpression, MatchesExpression, MatchesExpression, NotContainsExpression, NotEqualExpression, NotEqualExpression, NotEqualTypeExpression, NotExpression, NotExpression, OrExpression, OrExpression, StartsWithExpression, StartsWithExpression, ValExpression, WhenCondition, WhenCondition, WhenScalar, WhenScalar

    public interface Expression

extends Serializable

Interface for a set of conditions that must be met for the query to be true.

Author:
  Abe White

Method Summary
`void` | `acceptVisit(ExpressionVisitor visitor)` Accept a visit from a tree visitor.

Method Detail

### acceptVisit

    void acceptVisit(ExpressionVisitor visitor)

  Accept a visit from a tree visitor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.